# Yaf_View_Simple::__set

(Yaf >=1.0.0)

Yaf_View_Simple::__set — Establece el valor para el motor

### Descripción

public Yaf_View_Simple::__set(string `$name`, mixed `$value`): void

Esta es una manera alternativa y más sencilla de usar Yaf_View_Simple::assign().

### Parámetros

`name`

  Un nombre de valor de tipo string.

`value`

  Valor mixto.

### Valores devueltos

### Ejemplos

Ejemplo #1 Ejemplo de Yaf_View_Simple::__set()

`<?php
class IndexController extends Yaf_Controller_Abstract {
public function indexAction() {
$this->getView()->foo = "bar"; // es lo mismo que assign("foo", "bar");
}
?>`

### Ver también

- Yaf_View_Simple::assignRef() - El propósito de assignRef
- Yaf_View_Interface::assign() - Asignar valores al motor de Vistas